"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TagMessage = exports.CapabilityNegotiation = exports.IsOnQuery = exports.UserHostQuery = exports.Wallops = exports.Restart = exports.Rehash = exports.Away = exports.ErrorMessage = exports.Pong = exports.Ping = exports.Kill = exports.WhoWasQuery = exports.WhoIsQuery = exports.WhoQuery = exports.Notice = exports.PrivateMessage = exports.Time = exports.ChannelKick = exports.ChannelInvite = exports.ChannelList = exports.Names = exports.Topic = exports.Mode = exports.ChannelPart = exports.ChannelJoin = exports.ServerQuit = exports.ClientQuit = exports.OperLogin = exports.UserRegistration = exports.NickChange = exports.Password = void 0;
// region RFC1459
// region 4 Message details
// region 4.1 Connection Registration
// 4.1.1 Password message
var Password_1 = require("./Password");
Object.defineProperty(exports, "Password", { enumerable: true, get: function () { return Password_1.Password; } });
// 4.1.2 Nickname message
var NickChange_1 = require("./NickChange");
Object.defineProperty(exports, "NickChange", { enumerable: true, get: function () { return NickChange_1.NickChange; } });
// 4.1.3 User message
var UserRegistration_1 = require("./UserRegistration");
Object.defineProperty(exports, "UserRegistration", { enumerable: true, get: function () { return UserRegistration_1.UserRegistration; } });
// 4.1.4 Server message
// We can't be a server yet
// 4.1.5 Operator message
var OperLogin_1 = require("./OperLogin");
Object.defineProperty(exports, "OperLogin", { enumerable: true, get: function () { return OperLogin_1.OperLogin; } });
// 4.1.6 Quit message
var ClientQuit_1 = require("./ClientQuit");
Object.defineProperty(exports, "ClientQuit", { enumerable: true, get: function () { return ClientQuit_1.ClientQuit; } });
// 4.1.7 Server Quit message
var ServerQuit_1 = require("./ServerQuit");
Object.defineProperty(exports, "ServerQuit", { enumerable: true, get: function () { return ServerQuit_1.ServerQuit; } });
// endregion
// region 4.2 Channel operations
// 4.2.1 Join message
var ChannelJoin_1 = require("./ChannelJoin");
Object.defineProperty(exports, "ChannelJoin", { enumerable: true, get: function () { return ChannelJoin_1.ChannelJoin; } });
// 4.2.2 Part message
var ChannelPart_1 = require("./ChannelPart");
Object.defineProperty(exports, "ChannelPart", { enumerable: true, get: function () { return ChannelPart_1.ChannelPart; } });
// 4.2.3 Mode message
var Mode_1 = require("./Mode");
Object.defineProperty(exports, "Mode", { enumerable: true, get: function () { return Mode_1.Mode; } });
// 4.2.4 Topic message
var Topic_1 = require("./Topic");
Object.defineProperty(exports, "Topic", { enumerable: true, get: function () { return Topic_1.Topic; } });
// 4.2.5 Names message
var Names_1 = require("./Names");
Object.defineProperty(exports, "Names", { enumerable: true, get: function () { return Names_1.Names; } });
// 4.2.6 List message
var ChannelList_1 = require("./ChannelList");
Object.defineProperty(exports, "ChannelList", { enumerable: true, get: function () { return ChannelList_1.ChannelList; } });
// 4.2.7 Invite message
var ChannelInvite_1 = require("./ChannelInvite");
Object.defineProperty(exports, "ChannelInvite", { enumerable: true, get: function () { return ChannelInvite_1.ChannelInvite; } });
// 4.2.8 Kick message
var ChannelKick_1 = require("./ChannelKick");
Object.defineProperty(exports, "ChannelKick", { enumerable: true, get: function () { return ChannelKick_1.ChannelKick; } });
// endregion
// region 4.3 Server queries and commands
// TODO add more
// 4.3.4 Time message
var Time_1 = require("./Time");
Object.defineProperty(exports, "Time", { enumerable: true, get: function () { return Time_1.Time; } });
// endregion
// region 4.4 Sending messages
// 4.4.1 Private messages
var PrivateMessage_1 = require("./PrivateMessage");
Object.defineProperty(exports, "PrivateMessage", { enumerable: true, get: function () { return PrivateMessage_1.PrivateMessage; } });
// 4.4.2 Notice messages
var Notice_1 = require("./Notice");
Object.defineProperty(exports, "Notice", { enumerable: true, get: function () { return Notice_1.Notice; } });
// endregion
// region 4.5 User-based queries
// 4.5.1 Who query
var WhoQuery_1 = require("./WhoQuery");
Object.defineProperty(exports, "WhoQuery", { enumerable: true, get: function () { return WhoQuery_1.WhoQuery; } });
// 4.5.2 Whois query
var WhoIsQuery_1 = require("./WhoIsQuery");
Object.defineProperty(exports, "WhoIsQuery", { enumerable: true, get: function () { return WhoIsQuery_1.WhoIsQuery; } });
// 4.5.3 Whowas
var WhoWasQuery_1 = require("./WhoWasQuery");
Object.defineProperty(exports, "WhoWasQuery", { enumerable: true, get: function () { return WhoWasQuery_1.WhoWasQuery; } });
// endregion
// region 4.6 Miscellaneous messages
// 4.6.1 Kill message
var Kill_1 = require("./Kill");
Object.defineProperty(exports, "Kill", { enumerable: true, get: function () { return Kill_1.Kill; } });
// 4.6.2 Ping message
var Ping_1 = require("./Ping");
Object.defineProperty(exports, "Ping", { enumerable: true, get: function () { return Ping_1.Ping; } });
// 4.6.3 Pong message
var Pong_1 = require("./Pong");
Object.defineProperty(exports, "Pong", { enumerable: true, get: function () { return Pong_1.Pong; } });
// 4.6.4 Error message
var ErrorMessage_1 = require("./ErrorMessage");
Object.defineProperty(exports, "ErrorMessage", { enumerable: true, get: function () { return ErrorMessage_1.ErrorMessage; } });
// endregion
// endregion
// region 5 Optionals
// 5.1 Away
var Away_1 = require("./Away");
Object.defineProperty(exports, "Away", { enumerable: true, get: function () { return Away_1.Away; } });
// 5.2 Rehash message
var Rehash_1 = require("./Rehash");
Object.defineProperty(exports, "Rehash", { enumerable: true, get: function () { return Rehash_1.Rehash; } });
// 5.3 Restart message
var Restart_1 = require("./Restart");
Object.defineProperty(exports, "Restart", { enumerable: true, get: function () { return Restart_1.Restart; } });
// 5.4 Summon message
// really, would anyone use that?
// 5.5 Users message
// would anyone WANT to have that? it seems like a huge security risk.
// 5.6 Operwall message
var WallopsMessage_1 = require("./WallopsMessage");
Object.defineProperty(exports, "Wallops", { enumerable: true, get: function () { return WallopsMessage_1.WallopsMessage; } });
// 5.7 Userhost message
var UserHostQuery_1 = require("./UserHostQuery");
Object.defineProperty(exports, "UserHostQuery", { enumerable: true, get: function () { return UserHostQuery_1.UserHostQuery; } });
// 5.8 Ison message
var IsOnQuery_1 = require("./IsOnQuery");
Object.defineProperty(exports, "IsOnQuery", { enumerable: true, get: function () { return IsOnQuery_1.IsOnQuery; } });
// endregion
// endregion
// region IRCv3
// Capability Negotiation
var CapabilityNegotiation_1 = require("./CapabilityNegotiation");
Object.defineProperty(exports, "CapabilityNegotiation", { enumerable: true, get: function () { return CapabilityNegotiation_1.CapabilityNegotiation; } });
// message-tags
var TagMessage_1 = require("./TagMessage");
Object.defineProperty(exports, "TagMessage", { enumerable: true, get: function () { return TagMessage_1.TagMessage; } });
// endregion
